from decimal import Decimal, InvalidOperation

def getInt(d, key, default):
	try:
		return int(d.get(key, default))
	except ValueError:
		return default

def getDecimal(d, key, default):
	try:
		return Decimal(d.get(key, default))
	except InvalidOperation:
		return default
